Freeciv-3.1: theme_icons Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
theme_icons Struct Reference

`#include <gui_tilespec.h>`

## Data Fields

SDL_Surface * | fr_left
SDL_Surface * | fr_right
SDL_Surface * | fr_top
SDL_Surface * | fr_bottom
SDL_Surface * | button
SDL_Surface * | edit
SDL_Surface * | cbox_sell_icon
SDL_Surface * | cbox_unsell_icon
SDL_Surface * | up_icon
SDL_Surface * | down_icon
SDL_Surface * | left_icon
SDL_Surface * | right_icon
SDL_Surface * | vertic
SDL_Surface * | horiz
SDL_Surface * | ok_icon
SDL_Surface * | cancel_icon
SDL_Surface * | small_ok_icon
SDL_Surface * | small_cancel_icon
SDL_Surface * | FORWARD_Icon
SDL_Surface * | back_icon
SDL_Surface * | info_icon
SDL_Surface * | r_arrow_icon
SDL_Surface * | l_arrow_icon
SDL_Surface * | lock_icon
SDL_Surface * | unlock_icon
SDL_Surface * | options_icon
SDL_Surface * | block
SDL_Surface * | units_icon
SDL_Surface * | map_icon
SDL_Surface * | log_icon
SDL_Surface * | players_icon
SDL_Surface * | units2_icon
SDL_Surface * | find_city_icon
SDL_Surface * | new_turn_icon
SDL_Surface * | save_icon
SDL_Surface * | load_icon
SDL_Surface * | delete_icon
SDL_Surface * | tech_tree_icon
SDL_Surface * | army_icon
SDL_Surface * | support_icon
SDL_Surface * | happy_icon
SDL_Surface * | cma_icon
SDL_Surface * | prod_icon
SDL_Surface * | qprod_icon
SDL_Surface * | buy_prod_icon
SDL_Surface * | ok_pact_icon
SDL_Surface * | cancel_pact_icon
SDL_Surface * | order_icon
SDL_Surface * | o_disband_icon
SDL_Surface * | o_wait_icon
SDL_Surface * | o_done_icon
SDL_Surface * | o_autoexp_icon
SDL_Surface * | o_autosett_icon
SDL_Surface * | o_autoconnect_icon
SDL_Surface * | o_unload_icon
SDL_Surface * | o_build_city_icon
SDL_Surface * | o_goto_city_icon
SDL_Surface * | o_goto_icon
SDL_Surface * | o_homecity_icon
SDL_Surface * | o_patrol_icon
SDL_Surface * | o_mine_icon
SDL_Surface * | OPlantForest_Icon
SDL_Surface * | OCutDownForest_Icon
SDL_Surface * | o_fortify_icon
SDL_Surface * | o_sentry_icon
SDL_Surface * | o_irrigation_icon
SDL_Surface * | o_cultivate_icon
SDL_Surface * | o_plant_icon
SDL_Surface * | o_road_icon
SDL_Surface * | o_railroad_icon
SDL_Surface * | o_pillage_icon
SDL_Surface * | o_paradrop_icon
SDL_Surface * | o_nuke_icon
SDL_Surface * | o_fortress_icon
SDL_Surface * | o_fallout_icon
SDL_Surface * | o_pollution_icon
SDL_Surface * | o_airbase_icon
SDL_Surface * | o_transform_icon
SDL_Surface * | OAddCity_Icon
SDL_Surface * | o_wonder_icon
SDL_Surface * | o_trade_icon
SDL_Surface * | o_spy_icon
SDL_Surface * | o_wakeup_icon
SDL_Surface * | o_return_icon
SDL_Surface * | OAirLift_Icon
SDL_Surface * | o_load_icon

## Detailed Description

Definition at line 39 of file gui_tilespec.h.

## Field Documentation

## ◆ army_icon

SDL_Surface* theme_icons::army_icon

Definition at line 95 of file gui_tilespec.h.

## ◆ back_icon

SDL_Surface* theme_icons::back_icon

Definition at line 71 of file gui_tilespec.h.

## ◆ block

SDL_Surface* theme_icons::block

Definition at line 79 of file gui_tilespec.h.

## ◆ button

SDL_Surface* theme_icons::button

Definition at line 48 of file gui_tilespec.h.

## ◆ buy_prod_icon

SDL_Surface* theme_icons::buy_prod_icon

Definition at line 101 of file gui_tilespec.h.

## ◆ cancel_icon

SDL_Surface* theme_icons::cancel_icon

Definition at line 67 of file gui_tilespec.h.

## ◆ cancel_pact_icon

SDL_Surface* theme_icons::cancel_pact_icon

Definition at line 105 of file gui_tilespec.h.

## ◆ cbox_sell_icon

SDL_Surface* theme_icons::cbox_sell_icon

Definition at line 54 of file gui_tilespec.h.

## ◆ cbox_unsell_icon

SDL_Surface* theme_icons::cbox_unsell_icon

Definition at line 55 of file gui_tilespec.h.

## ◆ cma_icon

SDL_Surface* theme_icons::cma_icon

Definition at line 98 of file gui_tilespec.h.

## ◆ delete_icon

SDL_Surface* theme_icons::delete_icon

Definition at line 89 of file gui_tilespec.h.

## ◆ down_icon

SDL_Surface* theme_icons::down_icon

Definition at line 59 of file gui_tilespec.h.

## ◆ edit

SDL_Surface* theme_icons::edit

Definition at line 51 of file gui_tilespec.h.

## ◆ find_city_icon

SDL_Surface* theme_icons::find_city_icon

Definition at line 85 of file gui_tilespec.h.

## ◆ FORWARD_Icon

SDL_Surface* theme_icons::FORWARD_Icon

Definition at line 70 of file gui_tilespec.h.

## ◆ fr_bottom

SDL_Surface* theme_icons::fr_bottom

Definition at line 45 of file gui_tilespec.h.

## ◆ fr_left

SDL_Surface* theme_icons::fr_left

Definition at line 42 of file gui_tilespec.h.

## ◆ fr_right

SDL_Surface* theme_icons::fr_right

Definition at line 43 of file gui_tilespec.h.

## ◆ fr_top

SDL_Surface* theme_icons::fr_top

Definition at line 44 of file gui_tilespec.h.

## ◆ happy_icon

SDL_Surface* theme_icons::happy_icon

Definition at line 97 of file gui_tilespec.h.

## ◆ horiz

SDL_Surface* theme_icons::horiz

Definition at line 63 of file gui_tilespec.h.

## ◆ info_icon

SDL_Surface* theme_icons::info_icon

Definition at line 72 of file gui_tilespec.h.

## ◆ l_arrow_icon

SDL_Surface* theme_icons::l_arrow_icon

Definition at line 74 of file gui_tilespec.h.

## ◆ left_icon

SDL_Surface* theme_icons::left_icon

Definition at line 60 of file gui_tilespec.h.

## ◆ load_icon

SDL_Surface* theme_icons::load_icon

Definition at line 88 of file gui_tilespec.h.

## ◆ lock_icon

SDL_Surface* theme_icons::lock_icon

Definition at line 75 of file gui_tilespec.h.

## ◆ log_icon

SDL_Surface* theme_icons::log_icon

Definition at line 82 of file gui_tilespec.h.

## ◆ map_icon

SDL_Surface* theme_icons::map_icon

Definition at line 81 of file gui_tilespec.h.

## ◆ new_turn_icon

SDL_Surface* theme_icons::new_turn_icon

Definition at line 86 of file gui_tilespec.h.

## ◆ o_airbase_icon

SDL_Surface* theme_icons::o_airbase_icon

Definition at line 137 of file gui_tilespec.h.

## ◆ o_autoconnect_icon

SDL_Surface* theme_icons::o_autoconnect_icon

Definition at line 114 of file gui_tilespec.h.

## ◆ o_autoexp_icon

SDL_Surface* theme_icons::o_autoexp_icon

Definition at line 112 of file gui_tilespec.h.

## ◆ o_autosett_icon

SDL_Surface* theme_icons::o_autosett_icon

Definition at line 113 of file gui_tilespec.h.

## ◆ o_build_city_icon

SDL_Surface* theme_icons::o_build_city_icon

Definition at line 116 of file gui_tilespec.h.

## ◆ o_cultivate_icon

SDL_Surface* theme_icons::o_cultivate_icon

Definition at line 127 of file gui_tilespec.h.

## ◆ o_disband_icon

SDL_Surface* theme_icons::o_disband_icon

Definition at line 109 of file gui_tilespec.h.

## ◆ o_done_icon

SDL_Surface* theme_icons::o_done_icon

Definition at line 111 of file gui_tilespec.h.

## ◆ o_fallout_icon

SDL_Surface* theme_icons::o_fallout_icon

Definition at line 135 of file gui_tilespec.h.

## ◆ o_fortify_icon

SDL_Surface* theme_icons::o_fortify_icon

Definition at line 124 of file gui_tilespec.h.

## ◆ o_fortress_icon

SDL_Surface* theme_icons::o_fortress_icon

Definition at line 134 of file gui_tilespec.h.

## ◆ o_goto_city_icon

SDL_Surface* theme_icons::o_goto_city_icon

Definition at line 117 of file gui_tilespec.h.

## ◆ o_goto_icon

SDL_Surface* theme_icons::o_goto_icon

Definition at line 118 of file gui_tilespec.h.

## ◆ o_homecity_icon

SDL_Surface* theme_icons::o_homecity_icon

Definition at line 119 of file gui_tilespec.h.

## ◆ o_irrigation_icon

SDL_Surface* theme_icons::o_irrigation_icon

Definition at line 126 of file gui_tilespec.h.

## ◆ o_load_icon

SDL_Surface* theme_icons::o_load_icon

Definition at line 146 of file gui_tilespec.h.

## ◆ o_mine_icon

SDL_Surface* theme_icons::o_mine_icon

Definition at line 121 of file gui_tilespec.h.

## ◆ o_nuke_icon

SDL_Surface* theme_icons::o_nuke_icon

Definition at line 133 of file gui_tilespec.h.

## ◆ o_paradrop_icon

SDL_Surface* theme_icons::o_paradrop_icon

Definition at line 132 of file gui_tilespec.h.

## ◆ o_patrol_icon

SDL_Surface* theme_icons::o_patrol_icon

Definition at line 120 of file gui_tilespec.h.

## ◆ o_pillage_icon

SDL_Surface* theme_icons::o_pillage_icon

Definition at line 131 of file gui_tilespec.h.

## ◆ o_plant_icon

SDL_Surface* theme_icons::o_plant_icon

Definition at line 128 of file gui_tilespec.h.

## ◆ o_pollution_icon

SDL_Surface* theme_icons::o_pollution_icon

Definition at line 136 of file gui_tilespec.h.

## ◆ o_railroad_icon

SDL_Surface* theme_icons::o_railroad_icon

Definition at line 130 of file gui_tilespec.h.

## ◆ o_return_icon

SDL_Surface* theme_icons::o_return_icon

Definition at line 144 of file gui_tilespec.h.

## ◆ o_road_icon

SDL_Surface* theme_icons::o_road_icon

Definition at line 129 of file gui_tilespec.h.

## ◆ o_sentry_icon

SDL_Surface* theme_icons::o_sentry_icon

Definition at line 125 of file gui_tilespec.h.

## ◆ o_spy_icon

SDL_Surface* theme_icons::o_spy_icon

Definition at line 142 of file gui_tilespec.h.

## ◆ o_trade_icon

SDL_Surface* theme_icons::o_trade_icon

Definition at line 141 of file gui_tilespec.h.

## ◆ o_transform_icon

SDL_Surface* theme_icons::o_transform_icon

Definition at line 138 of file gui_tilespec.h.

## ◆ o_unload_icon

SDL_Surface* theme_icons::o_unload_icon

Definition at line 115 of file gui_tilespec.h.

## ◆ o_wait_icon

SDL_Surface* theme_icons::o_wait_icon

Definition at line 110 of file gui_tilespec.h.

## ◆ o_wakeup_icon

SDL_Surface* theme_icons::o_wakeup_icon

Definition at line 143 of file gui_tilespec.h.

## ◆ o_wonder_icon

SDL_Surface* theme_icons::o_wonder_icon

Definition at line 140 of file gui_tilespec.h.

## ◆ OAddCity_Icon

SDL_Surface* theme_icons::OAddCity_Icon

Definition at line 139 of file gui_tilespec.h.

## ◆ OAirLift_Icon

SDL_Surface* theme_icons::OAirLift_Icon

Definition at line 145 of file gui_tilespec.h.

## ◆ OCutDownForest_Icon

SDL_Surface* theme_icons::OCutDownForest_Icon

Definition at line 123 of file gui_tilespec.h.

## ◆ ok_icon

SDL_Surface* theme_icons::ok_icon

Definition at line 66 of file gui_tilespec.h.

## ◆ ok_pact_icon

SDL_Surface* theme_icons::ok_pact_icon

Definition at line 104 of file gui_tilespec.h.

## ◆ OPlantForest_Icon

SDL_Surface* theme_icons::OPlantForest_Icon

Definition at line 122 of file gui_tilespec.h.

## ◆ options_icon

SDL_Surface* theme_icons::options_icon

Definition at line 78 of file gui_tilespec.h.

## ◆ order_icon

SDL_Surface* theme_icons::order_icon

Definition at line 108 of file gui_tilespec.h.

## ◆ players_icon

SDL_Surface* theme_icons::players_icon

Definition at line 83 of file gui_tilespec.h.

## ◆ prod_icon

SDL_Surface* theme_icons::prod_icon

Definition at line 99 of file gui_tilespec.h.

## ◆ qprod_icon

SDL_Surface* theme_icons::qprod_icon

Definition at line 100 of file gui_tilespec.h.

## ◆ r_arrow_icon

SDL_Surface* theme_icons::r_arrow_icon

Definition at line 73 of file gui_tilespec.h.

## ◆ right_icon

SDL_Surface* theme_icons::right_icon

Definition at line 61 of file gui_tilespec.h.

## ◆ save_icon

SDL_Surface* theme_icons::save_icon

Definition at line 87 of file gui_tilespec.h.

## ◆ small_cancel_icon

SDL_Surface* theme_icons::small_cancel_icon

Definition at line 69 of file gui_tilespec.h.

## ◆ small_ok_icon

SDL_Surface* theme_icons::small_ok_icon

Definition at line 68 of file gui_tilespec.h.

## ◆ support_icon

SDL_Surface* theme_icons::support_icon

Definition at line 96 of file gui_tilespec.h.

## ◆ tech_tree_icon

SDL_Surface* theme_icons::tech_tree_icon

Definition at line 92 of file gui_tilespec.h.

## ◆ units2_icon

SDL_Surface* theme_icons::units2_icon

Definition at line 84 of file gui_tilespec.h.

## ◆ units_icon

SDL_Surface* theme_icons::units_icon

Definition at line 80 of file gui_tilespec.h.

## ◆ unlock_icon

SDL_Surface* theme_icons::unlock_icon

Definition at line 76 of file gui_tilespec.h.

## ◆ up_icon

SDL_Surface* theme_icons::up_icon

Definition at line 58 of file gui_tilespec.h.

## ◆ vertic

SDL_Surface* theme_icons::vertic

Definition at line 62 of file gui_tilespec.h.